/***************************************************************************
                   File Control Class Header ( FileControl.h )
                -----------------------------------------

	begin      : 2013/03/20
	copyright  : (C) 2013 Solbox Inc.
	author     : Development 1 Team
					- 2013/03/20 - 1st dadamin
	email      : dev1@solbox.com
	version    : 3.2.0

	CopyRight(C) 2005 Solbox Inc. All Rights reserved.
	Redistribution and use in source and binary forms, with or with out
	modification, are not permitted in outside of Solbox Inc.
***************************************************************************/
#ifndef __FILE_CONTROL_H__
#define __FILE_CONTROL_H__

class CJob;

class CFileControl : public CJob
{
public:
	CFileControl();
	virtual ~CFileControl();

	virtual int run( CJobDataMap &jobData );
protected:	

	int beforecheck(CJobDataMap & jobData, bool & IgnoreCase);
private:

};


#endif // __FILE_CONTROL_H__
